﻿.buttonbox-dock {
	position:relative;
    width:300px;
	max-width: 300px;
}

.buttonbox {
	position: relative;	
	margin-left: 10px;
	/*top: 52px;*/
	/*background-color: rgba(255,255,255,0.28);*/
}

.history-container {
    height:100%;
    overflow: scroll;
    padding:5px;
}

.shrinkable {
    
    padding:2px;
    padding-right: 19px;
}   

.button-container{	
	list-style:none;
	padding:0;
	margin-bottom:0;
}

.button-container > li{
	margin-bottom:5px;
}

/* Abstand zum nächsten Action-Buttons */
.button-container a.btn.gap {
    margin-bottom: 10px;
}
/* Aber nicht, wenn es das letzte Element der Liste ist */
.button-container > li:last-child > a.btn.gap {
    margin-bottom: 0;
}

.button-container > li:last-child{
	margin-bottom: 0;
}

.button-container a.btn {
	width:100%;
	white-space:normal;
    outline:none;
}

.button-container > li.text-center {
	width:100%;
	max-width:220px;
	text-align:center;
}

.action-button-menu {
    display: none;
    position: absolute;
    top: 8px;
    right: 10px;
}

.anfragen-details .panel-heading > .action-button-menu {
    top: 2px;
}

.action-button-menu-always-visible > .action-button-menu {
    z-index: 10;
    display: inherit;
}

    .action-button-menu-always-visible > .action-button-menu .head {
        text-align: right;
    }

    .action-button-menu-always-visible > .action-button-menu .content {
        margin-top: 3px;
        background-color: #f1f0fc;
        padding: 15px;
        border-radius: 4px;
        border: 1px solid #ccc;
        box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
        display: none;
    }


.modalView .buttonbox,
.modalView .buttonbox-dock {
    display: none;
}

    .modalView .action-button-menu {
        z-index: 10;
        display: inherit;
        right:7px;
    }

    .modalView .action-button-menu .head {
        text-align: right;
    }

    .modalView .action-button-menu .content {
        margin-top: 2px;
        background-color: #f1f0fc;
        padding: 15px;
        border-radius: 4px;
        border: 1px solid #ccc;
        box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
        display: none;
    }

.modalView .panel-body {
    padding:0;
    padding-bottom:15px;
}

@media(max-width:991px) {
    .buttonbox-dock {
        width:auto;
    }
	.buttonbox {
		display: none;
	}

	.action-button-menu {
		z-index: 10;
		display:inherit;
	}

		.action-button-menu .head {
			text-align: right;
		}

		.action-button-menu .content {
			margin-top: 3px;
			background-color: #f1f0fc;
			padding: 15px;
			border-radius: 4px;
			border: 1px solid #ccc;
			box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
			display: none;
		}
}

@media (max-width: 500px) {
	.action-menu-text {
		display: none;
	}
}

.button-flexbox {
	display: flex;
	justify-content: center;
}

.button-container .btn-success {
    background-color: #bff7c9; /*IE Fallback*/
    background-color: var(--main-color-btn-success);
    border-color: #b6d8bc; /*IE Fallback*/
    border-color: var(--main-color-btn-success-border);
    color: black;
}
    .button-container .btn-success:hover, focus, active {
        background-color: #ace8b7; /*IE Fallback*/
        background-color: var(--main-color-btn-success-hover);
        border-color: #b6d8bc; /*IE Fallback*/
        border-color: var(--main-color-btn-success-border);
        color: black;
    }
.button-container .btn-warning {
    background-color: #ffe1aa; /*IE Fallback*/
    background-color: var(--main-color-btn-warning);
    border-color: #f5d08c; /*IE Fallback*/
    border-color: var(--main-color-btn-warning-border);
    color: black;
}
    .button-container .btn-warning:hover {
        background-color: #ffd588; /*IE Fallback*/
        background-color: var(--main-color-btn-warning-hover);
        border-color: #f5d08c; /*IE Fallback*/
        border-color: var(--main-color-btn-warning-border);
        color: black;
    }
.button-container .btn-danger {
    background-color: lightcoral; /*IE Fallback*/
    background-color: var(--main-color-btn-danger);
    border-color: #e47373; /*IE Fallback*/
    border-color: var(--main-color-btn-danger-border);
    color: black;
}
    .button-container .btn-danger:hover {
        background-color: #e06868; /*IE Fallback*/
        background-color: var(--main-color-btn-danger-hover);
        border-color: #e47373; /*IE Fallback*/
        border-color: var(--main-color-btn-danger-border);
        color: black;
    }
    .button-container .btn-danger:active {
        background-color: #e06868; /*IE Fallback*/
        background-color: var(--main-color-btn-danger-hover);
        border-color: #e47373; /*IE Fallback*/
        border-color: var(--main-color-btn-danger-border);
        color: black;
    }
    .button-container .btn-danger:focus {
        background-color: #e06868; /*IE Fallback*/
        background-color: var(--main-color-btn-danger-hover);
        border-color: #e47373; /*IE Fallback*/
        border-color: var(--main-color-btn-danger-border);
        color: black;
    }



/* Ab hier  Prozess-History*/
.process-history-table {
    border-radius: 4px;
    width: 100%;
    margin-bottom: 0px;
    box-shadow: 0 0 5px;
    max-width: 300px;
    margin: 0 auto;
}

    .process-history-table:last-child {
        margin-bottom: 10px;
    }

    .process-history-table:first-child {
        margin-top: 10px;
    }

.process-history-user,
.process-history-timestamp {
    font-size: small !important;
   
}

.process-history-timestamp {
    border-radius: 4px 4px 0px 0px;
}


.process-history-title {
    font-weight: bolder;
}

.process-history-content {
    border: 1px dashed black;
    padding: 2px 3px 2px 3px;
    background: white;
    border-radius: 4px;    
}

.process-history-content hr{
    margin: 5px;
}

.process-history-user {
    text-align: right;
    border-radius: 0px 0px 4px 4px;
    color: #6d6767;
}

div.process-history-table table tr td {
    padding: 2px 5px 2px 5px;
    font-size: smaller;
    background: whitesmoke;
}
div.process-history-table table{
    width: 100%;
}


.panel.no-radius-bottom {
    border-radius:20px 20px 0 0;
}

/** simple bar modifications **/

.simplebar-track.vertical {
    right:3px !important;
}

.action-button-menu .content hr {
    border-top: 1px solid #b3b3b3;
    margin-top: 15px;
    margin-bottom: 15px;
}


/* 
    ausblenden um wirren bug zu verhindern, der dafür sorgt, dass
    ein horizontaler simplebar-track erstellt wird, der so lang ist
    wie die viewport-breite und dafür sorgt, dass das gesamte browserfenster
    nach links und rechts horizontal gescrollt werden kann.
 */
.simplebar-track.horizontal {
    display: none;
}
